<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="e5d0f787-3289-4eab-8491-68f9778d0577" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="-218767635">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="9" />
          <entry key="project.open.time.1" value="1" />
          <entry key="project.open.time.10" value="1" />
          <entry key="project.open.time.12" value="1" />
          <entry key="project.open.time.13" value="1" />
          <entry key="project.open.time.22" value="1" />
          <entry key="project.open.time.6" value="2" />
          <entry key="project.open.time.7" value="1" />
          <entry key="project.open.time.9" value="2" />
          <entry key="project.opened" value="11" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="htaccess" value="5" />
          <entry key="php" value="57" />
          <entry key="sql" value="2" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="PHP" value="57" />
          <entry key="SQL" value="2" />
          <entry key="htaccess" value="5" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="htaccess" value="63" />
          <entry key="php" value="8406" />
          <entry key="txt" value="11" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="PHP" value="8406" />
          <entry key="PLAIN_TEXT" value="11" />
          <entry key="htaccess" value="63" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.php.new.class">
        <counts>
          <entry key="PHP Class.type" value="9" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/components/Router.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="332">
              <caret line="165" lean-forward="true" selection-start-line="165" selection-end-line="165" />
              <folding>
                <element signature="n#__construct#0;n#Router#0;n#!!top" expanded="true" />
                <element signature="n#getURI#0;n#Router#0;n#!!top" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/routes.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="207">
              <caret line="9" column="24" lean-forward="true" selection-start-line="9" selection-start-column="24" selection-end-line="9" selection-end-column="24" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/index.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="539">
              <caret line="24" lean-forward="true" selection-start-line="24" selection-end-line="24" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/controllers/NewsController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="470">
              <caret line="72" column="40" selection-start-line="72" selection-start-column="40" selection-end-line="72" selection-end-column="40" />
              <folding>
                <element signature="n#actionIndex#0;n#NewsController#0;n#!!top" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/views/news/index.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="127">
              <caret line="33" column="9" lean-forward="true" selection-start-line="33" selection-start-column="9" selection-end-line="33" selection-end-column="9" />
              <folding>
                <element signature="e#1012#1015#0#PHP" expanded="true" />
                <element signature="e#1070#1073#0#PHP" expanded="true" />
                <element signature="e#1128#1131#0#PHP" expanded="true" />
                <element signature="e#1178#1181#0#PHP" expanded="true" />
                <element signature="e#1236#1239#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/models/News.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="92">
              <caret line="58" lean-forward="true" selection-start-line="58" selection-end-line="58" />
              <folding>
                <element signature="n#GetNewsById#0;n#News#0;n#!!top" expanded="true" />
                <element signature="n#getAllNews#0;n#News#0;n#!!top" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/views/news/view.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="357">
              <caret line="34" column="52" lean-forward="true" selection-start-line="34" selection-start-column="52" selection-end-line="34" selection-end-column="52" />
              <folding>
                <element signature="e#760#763#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/test.php" />
        <option value="$PROJECT_DIR$/classes/child/MYCLASS.php" />
        <option value="$PROJECT_DIR$/classes/patrent/MYCLASS.php" />
        <option value="$PROJECT_DIR$/classes/MY.php" />
        <option value="$PROJECT_DIR$/classes/User.php" />
        <option value="$PROJECT_DIR$/controller/NewsController.php" />
        <option value="$PROJECT_DIR$/news.sql" />
        <option value="$PROJECT_DIR$/view/news/index.php" />
        <option value="$PROJECT_DIR$/components/Db.php" />
        <option value="$PROJECT_DIR$/view/news/view.php" />
        <option value="$PROJECT_DIR$/config/db_params.php" />
        <option value="$PROJECT_DIR$/config/routes.php" />
        <option value="$PROJECT_DIR$/models/News.php" />
        <option value="$PROJECT_DIR$/controllers/NewsController.php" />
        <option value="$PROJECT_DIR$/index.php" />
        <option value="$PROJECT_DIR$/one.php" />
        <option value="$PROJECT_DIR$/.htaccess" />
        <option value="$PROJECT_DIR$/components/Router.php" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsFlowSettings">
    <service-enabled>true</service-enabled>
    <exe-path />
    <other-services-enabled>true</other-services-enabled>
    <auto-save>true</auto-save>
  </component>
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="125" />
    <option name="y" value="47" />
    <option name="width" value="1400" />
    <option name="height" value="833" />
  </component>
  <component name="ProjectInspectionProfilesVisibleTreeState">
    <entry key="Project Default">
      <profile-state>
        <expanded-state>
          <State />
        </expanded-state>
        <selected-state>
          <State>
            <id>Angular</id>
          </State>
        </selected-state>
      </profile-state>
    </entry>
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="test" type="b2602c69:ProjectViewProjectNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="test" type="b2602c69:ProjectViewProjectNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="components" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="test" type="b2602c69:ProjectViewProjectNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="config" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="test" type="b2602c69:ProjectViewProjectNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="controllers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="test" type="b2602c69:ProjectViewProjectNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="models" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="test" type="b2602c69:ProjectViewProjectNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="views" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="test" type="b2602c69:ProjectViewProjectNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="views" type="462c0819:PsiDirectoryNode" />
              <item name="news" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="Settings.JavaScript" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="e5d0f787-3289-4eab-8491-68f9778d0577" name="Default Changelist" comment="" />
      <created>1536273255559</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1536273255559</updated>
      <workItem from="1536273256799" duration="207000" />
      <workItem from="1536299974054" duration="1000" />
      <workItem from="1536300017516" duration="4603000" />
      <workItem from="1536322767406" duration="14023000" />
      <workItem from="1536485814247" duration="250000" />
      <workItem from="1536486114392" duration="498000" />
      <workItem from="1536486630529" duration="1857000" />
      <workItem from="1536494495397" duration="11824000" />
      <workItem from="1536559217952" duration="26971000" />
      <workItem from="1536598425237" duration="7985000" />
      <workItem from="1536644379870" duration="16661000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="84880000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="51" y="25" width="1549" height="875" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.23619428" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32885906" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Terminal" order="10" />
      <window_info anchor="bottom" id="Event Log" order="11" side_tool="true" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/test.php" />
    <entry file="file://$PROJECT_DIR$/classes/child/MYCLASS.php" />
    <entry file="file://$PROJECT_DIR$/classes/patrent/MYCLASS.php" />
    <entry file="file://$PROJECT_DIR$/classes/MY.php" />
    <entry file="file://$PROJECT_DIR$/classes/User.php" />
    <entry file="file://$PROJECT_DIR$/view/news/index.php" />
    <entry file="file://$PROJECT_DIR$/view/news/view.php" />
    <entry file="file://$PROJECT_DIR$/config/db_params.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="92">
          <caret line="4" column="21" selection-start-line="4" selection-start-column="21" selection-end-line="4" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/views/news/archive.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/views/product/index.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/theory.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1173" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/news.sql">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1955">
          <caret line="85" selection-start-line="85" selection-end-line="85" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/one.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="69">
          <caret line="8" column="13" selection-start-line="8" selection-start-column="13" selection-end-line="8" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.htaccess">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="161">
          <caret line="7" column="13" lean-forward="true" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/components/Db.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="9" lean-forward="true" selection-start-line="9" selection-end-line="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="539">
          <caret line="24" lean-forward="true" selection-start-line="24" selection-end-line="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/routes.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="9" column="24" lean-forward="true" selection-start-line="9" selection-start-column="24" selection-end-line="9" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/components/Router.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="332">
          <caret line="165" lean-forward="true" selection-start-line="165" selection-end-line="165" />
          <folding>
            <element signature="n#__construct#0;n#Router#0;n#!!top" expanded="true" />
            <element signature="n#getURI#0;n#Router#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/views/news/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="127">
          <caret line="33" column="9" lean-forward="true" selection-start-line="33" selection-start-column="9" selection-end-line="33" selection-end-column="9" />
          <folding>
            <element signature="e#1012#1015#0#PHP" expanded="true" />
            <element signature="e#1070#1073#0#PHP" expanded="true" />
            <element signature="e#1128#1131#0#PHP" expanded="true" />
            <element signature="e#1178#1181#0#PHP" expanded="true" />
            <element signature="e#1236#1239#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/controllers/NewsController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="470">
          <caret line="72" column="40" selection-start-line="72" selection-start-column="40" selection-end-line="72" selection-end-column="40" />
          <folding>
            <element signature="n#actionIndex#0;n#NewsController#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/views/news/view.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="34" column="52" lean-forward="true" selection-start-line="34" selection-start-column="52" selection-end-line="34" selection-end-column="52" />
          <folding>
            <element signature="e#760#763#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/models/News.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="92">
          <caret line="58" lean-forward="true" selection-start-line="58" selection-end-line="58" />
          <folding>
            <element signature="n#GetNewsById#0;n#News#0;n#!!top" expanded="true" />
            <element signature="n#getAllNews#0;n#News#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>